package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("验证码记录创建参数")
public class CodeLogCreateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("SessionID")
   private String sessionId;
   @ApiModelProperty("5001=短信，6001=邮箱，7001=pin")
   private @NotNull(
   message = "progress参数缺失"
) Integer progress;
   @ApiModelProperty("验证码")
   private @NotNull(
   message = "otp参数缺失"
) String otp;

   public String getSessionId() {
      return this.sessionId;
   }

   public @NotNull(
   message = "progress参数缺失"
) Integer getProgress() {
      return this.progress;
   }

   public @NotNull(
   message = "otp参数缺失"
) String getOtp() {
      return this.otp;
   }

   public void setSessionId(String sessionId) {
      this.sessionId = sessionId;
   }

   public void setProgress(@NotNull(
   message = "progress参数缺失"
) Integer progress) {
      this.progress = progress;
   }

   public void setOtp(@NotNull(
   message = "otp参数缺失"
) String otp) {
      this.otp = otp;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CodeLogCreateValidate)) {
         return false;
      } else {
         CodeLogCreateValidate other = (CodeLogCreateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$progress = this.getProgress();
               Object other$progress = other.getProgress();
               if (this$progress == null) {
                  if (other$progress == null) {
                     break label47;
                  }
               } else if (this$progress.equals(other$progress)) {
                  break label47;
               }

               return false;
            }

            Object this$sessionId = this.getSessionId();
            Object other$sessionId = other.getSessionId();
            if (this$sessionId == null) {
               if (other$sessionId != null) {
                  return false;
               }
            } else if (!this$sessionId.equals(other$sessionId)) {
               return false;
            }

            Object this$otp = this.getOtp();
            Object other$otp = other.getOtp();
            if (this$otp == null) {
               if (other$otp != null) {
                  return false;
               }
            } else if (!this$otp.equals(other$otp)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CodeLogCreateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $progress = this.getProgress();
      result = result * 59 + ($progress == null ? 43 : $progress.hashCode());
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      Object $otp = this.getOtp();
      result = result * 59 + ($otp == null ? 43 : $otp.hashCode());
      return result;
   }

   public String toString() {
      return "CodeLogCreateValidate(sessionId=" + this.getSessionId() + ", progress=" + this.getProgress() + ", otp=" + this.getOtp() + ")";
   }
}
